"use client";

import Link from "next/link";
import { signOut } from "next-auth/react";

export default function AdminSidebar({ session }: { session: any }) {
  function handleLogout() {
    signOut({ callbackUrl: "/" });
  }

  return (
    <aside
      className="d-flex flex-column bg-white border-end shadow-sm px-3 pt-4"
      style={{ width: "250px", height: "100vh", paddingBottom: "20px" }}
    >
      {/* Logo Section */}
      <div className="text-center mb-4">
        <img
          src="/assets/img/logo/site-logo-3.png" // Replace with the actual path to your logo
          alt="Logo"
          className="img-fluid"
          style={{ maxHeight: "80px", objectFit: "contain" }}
        />
      </div>

      {/* Navigation Links */}
      <nav className="nav flex-column flex-grow-1">
        <Link className="nav-link sidebar-link text-dark fw-semibold" href="/control">
          لوحة التحكم
        </Link>
        <Link className="nav-link sidebar-link text-dark fw-semibold" href="/control/form-builder">
          منشئ النماذج
        </Link>
        <Link className="nav-link sidebar-link text-dark fw-semibold" href="/control/logs">
          السجلات
        </Link>
        <Link className="nav-link sidebar-link text-dark fw-semibold" href="/control/cv-search">
          البحث في السير الذاتية
        </Link>
        {session.user.role === "superadmin" && (
          <Link className="nav-link sidebar-link text-dark fw-semibold" href="/control/user-management">
            إدارة المستخدمين
          </Link>
        )}
      </nav>

      {/* Sign Out Button */}
      <button
        onClick={handleLogout}
        className="btn btn-danger w-100"
        style={{ marginTop: "auto", marginBottom: "20px" }}
      >
        تسجيل الخروج
      </button>

      <style jsx>{`
        .sidebar-link {
          transition: all 0.3s ease-in-out;
        }
        .sidebar-link:hover {
          background-color:rgb(0, 0, 0);
          color:rgb(0, 252, 147);
          text-decoration: none;
        }
      `}</style>
    </aside>
  );
}
