// app/(admin)/control/form-builder/page.tsx
import { getServerSession } from "next-auth";
import { redirect } from "next/navigation";
import { authOptions } from "../../../../utils/authOptions"; // Adjust the path if needed
import FormBuilderPageClient from "./FormBuilderPageClient";

export default async function FormBuilderPage() {
  const session = await getServerSession(authOptions);

  // Check if the user has "formBuilder" permission
  if (!session || !session.user.permissions?.formBuilder) {
    return (
      <section className="position-relative bg-soft-primary" style={{ minHeight: "100vh", backgroundColor: "#f9f9f9" }}>
      <div className="container">
        <div className="row">
          <div className="col-12 p-0">
            <div className="d-flex flex-column min-vh-100 justify-content-center align-items-center text-center">
              
              {/* Title and Description */}
              <div className="title-heading my-auto">
                <h3 className="text-dark text-uppercase mt-4 mb-3 fw-bold">الوصول مرفوض</h3>
                <p className="text-muted para-desc mx-auto" style={{ maxWidth: "600px" }}>
                لم يتم منحك الصلاحية للوصول إلى هذه الصفحة ,إذا كنت تعتقد أن هناك خطأ، يرجى التواصل مع مدير النظام.                </p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    );
  }

  return <FormBuilderPageClient session={session} />;
}

