// lib/db.ts
import mongoose from "mongoose";

let isConnected = false;

export async function connectToDB() {
  if (isConnected) return;
  try {
    await mongoose.connect(process.env.MONGODB_URI as string, {
      dbName: "cv-picker",
    });
    isConnected = true;
    console.log("MongoDB connected");
  } catch (error) {
    console.error("DB Connection Error:", error);
    throw error;
  }
}
