// lib/models/FormDefinition.ts
import mongoose from "mongoose";

const QuestionSchema = new mongoose.Schema({
  id: { type: String, required: true },
  label: { type: String, required: true },
  type: { type: String, required: true }, // "text", "email", "textarea", "select", etc.
  required: { type: Boolean, default: false },
  options: { type: [String], default: [] }, // for "select" or multiple choice
});

const FormDefinitionSchema = new mongoose.Schema({
  title: { type: String, default: "CV Submission Form" },
  questions: { type: [QuestionSchema], default: [] },
});

export default mongoose.models.FormDefinition ||
  mongoose.model("FormDefinition", FormDefinitionSchema);
