// lib/models/Log.ts
import mongoose from "mongoose";

const LogSchema = new mongoose.Schema(
  {
    action: { type: String, required: true }, // Action performed
    user: { type: String, default: "Guest User" }, // Admin username or "Guest User"
    ip: { type: String, default: "Unknown" }, // IP address of the user
    details: { type: mongoose.Schema.Types.Mixed, default: {} }, // Other information
    createdAt: { type: Date, default: Date.now },
  },
  { collection: "logs" }
);

export default mongoose.models.Log || mongoose.model("Log", LogSchema);
