import mongoose from "mongoose";

const UserSchema = new mongoose.Schema({
  username: { type: String, required: true, unique: true },
  password: { type: String, required: true },
  role: { type: String, enum: ["superadmin", "admin"], required: true }, // Role
  permissions: { 
    formBuilder: { type: Boolean, default: false }, // Permissions
  },
}, { timestamps: true });

export default mongoose.models.User || mongoose.model("User", UserSchema);
