// lib/utils/logAction.ts
import Log from "../models/Log";
import { connectToDB } from "../db";

export async function logAction({
  action,
  user,
  ip,
  details,
}: {
  action: string;
  user?: string;
  ip?: string;
  details?: Record<string, any>;
}) {
  await connectToDB();

  const log = new Log({
    action,
    user: user || "Guest User",
    ip: ip || "Unknown",
    details: details || {},
  });

  await log.save();
}
