import { redirect } from "next/navigation";
import { connectToDB } from "../lib/db";
import User from "../lib/models/User";
import SetupFormClient from "./SetupFormClient"; // import the Client Component

export default async function SetupPage() {
  // 1) Connect to DB and check if a user exists
  await connectToDB();
  const userCount = await User.countDocuments();

  // 2) If a user already exists, redirect or show a message
  if (userCount > 0) {
    redirect("/"); 
    // or you can return <p>Setup already complete</p>
  }

  // 3) If no user, render the client-side form
  return <SetupFormClient />;
}
