'use client'
import Link from "next/link"
import { usePathname } from 'next/navigation'
import { useEffect } from "react"

export default function Menu() {
    const routerPath = usePathname()
    useEffect(() => {
        if (routerPath == "/index-rtl-1") {
            document.documentElement.lang = "ar"
            document.documentElement.dir = "rtl"
            document.body.classList.add("rtl-version")
        } else {
            document.documentElement.lang = "en"
            document.documentElement.dir = ""
            document.body.classList.remove("rtl-version")
        }
    })
    return (
        <>

            <ul className="menu_list scroll">
                <li className="">
                    <Link href="/">الرئيسية</Link>
                </li>
                <li className="">
                    <Link href="#about-area">عن الشركة</Link>
                </li>
                <li className="">
                    <Link href="/submit-cv">التقديم</Link>
                </li>
                <li className="dropdown-parrent"><Link href="/soon">خدماتنا</Link>
                    <ul className="theme-dropdown">
                        <li><Link href="/soon">استشارات موارد بشرية</Link></li>
                        <li><Link href="/soon">تدريبات مهنية</Link></li>
                        <li><Link href="/soon">تدريبات إدارية</Link></li>
                        <li><Link href="/soon">تخطيط إستراتيجي</Link></li>
                        <li><Link href="/soon">تطوير الكوادر البشرية </Link></li>
                    </ul>
                </li>
                <li className="">
                    <Link href="/contact">تواصل معنا</Link>
                </li>
            </ul>
        </>
    )
}
