'use client'
import Link from "next/link"
import { useEffect, useState } from "react"
import Slider from "react-slick"

const TestimonialThumbSlider1 = () => {
    const [nav1, setNav1] = useState(null)
    const [nav2, setNav2] = useState(null)
    const [slider1, setSlider1] = useState(null)
    const [slider2, setSlider2] = useState(null)

    useEffect(() => {
        setNav1(slider1)
        setNav2(slider2)
    }, [slider2, slider1])

    const settingsMain = {
        slidesToShow: 1,
        slidesToScroll: 1,
        arrows: false,
        fade: true,
        loop: true,
    }

    const settingsThumbs = {
        slidesToShow: 3,
        slidesToScroll: 1,
        dots: false,
        loop: true,
        centerMode: true,
        focusOnSelect: true,
        arrows: false,
    }

    return (
        <>
            <div className="testimonial-sliders">
                <Slider
                    {...settingsThumbs}
                    asNavFor={nav1}
                    ref={(slider) => setSlider2(slider)}
                    className="testimonial-nav ">
                    <div className="single-testimonial-nav">
                        <img src="/assets/img/testimonial/author1.jpg" alt="" />
                    </div>
                    <div className="single-testimonial-nav">
                        <img src="/assets/img/testimonial/author2.jpg" alt="" />
                    </div>
                    <div className="single-testimonial-nav">
                        <img src="/assets/img/testimonial/author3.jpg" alt="" />
                    </div>
                </Slider>
                <Slider
                    {...settingsMain}
                    asNavFor={nav2}
                    ref={(slider) => setSlider1(slider)}
                    className="slider-testimonial">
                    <div className="single-testimonial">
                        <h5>مع مورد لحلول الموارد البشرية، نضمن لك نهجًا فريدًا.</h5>
                        <div className="author">
                            <Link href="#">سهيلة فواز</Link>
                            <p>Adviser</p>
                        </div>
                    </div>
                    <div className="single-testimonial">
                        <h5>خدمات ما بعد البيع والدعم الفني في غاية الكفاءة.</h5>
                        <div className="author">
                            <Link href="#">أحمد عبد العزيز</Link>
                            <p>CEO of HR</p>
                        </div>
                    </div>
                    <div className="single-testimonial">
                        <h5>ساعد مورد بشكل كبير في تنظيم وظائف الموارد البشرية لدينا.</h5>
                        <div className="author">
                            <Link href="#">خالد الشيب</Link>
                            <p>Manager</p>
                        </div>
                    </div>
                </Slider>
            </div>
        </>
    )
}

export default TestimonialThumbSlider1
